package jp.gr.java_conf.skrb.game.trivia.mserver;

import jp.gr.java_conf.skrb.game.trivia.server.TriviaServer;

public class TriviaServerInstrument extends TriviaServer {
    public TriviaServerInstrument() {}

    public int getClientSize() {
        return clients.size();
    }

    public int getTotalCount() {
        return counter.getCount();
    }

    public void setTotalCount(int count) {
        counter.setCount(count);
    }

    public String[] getClients() {
        String[] names = new String[clients.size()];

        int i = 0;
        for (Entry entry: clients.values()) {
            names[i] = entry.getName();
            i++;
        }

        return names;
    }

    public int getCount(String name) {
        for (TriviaServer.Entry entry: clients.values()) {
            if (name.equals(entry.getName())) {
                return entry.getCounter().getCount();
            }
        }

        return 0;
    }
}
