package jp.gr.java_conf.skrb.game.trivia.mserver;

import javax.management.ObjectName;
import javax.management.MBeanServer;
import javax.management.MBeanServerFactory;
import javax.management.InstanceAlreadyExistsException;
import javax.management.MalformedObjectNameException;
import javax.management.MBeanRegistrationException;
import javax.management.NotCompliantMBeanException;

import com.sun.jdmk.comm.HtmlAdaptorServer;

import jp.gr.java_conf.skrb.game.trivia.server.TriviaServer;

public class TriviaServerStandard extends TriviaServer 
                                  implements TriviaServerStandardMBean {
    public TriviaServerStandard() {}

    public int getClientSize() {
        return clients.size();
    }

    public int getTotalCount() {
        return counter.getCount();
    }

    public void setTotalCount(int count) {
        counter.setCount(count);
    }

    public String[] getClients() {
        String[] names = new String[clients.size()];

        int i = 0;
        for (Entry entry: clients.values()) {
            names[i] = entry.getName();
            i++;
        }

        return names;
    }

    public int getCount(String name) {
        for (TriviaServer.Entry entry: clients.values()) {
            if (name.equals(entry.getName())) {
                return entry.getCounter().getCount();
            }
        }

        return 0;
    }
}
